Bug 219282 - lang/x10: fails to build with lang/gcc6 or later
Summary: lang/x10: fails to build with lang/gcc6 or later
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2017-05-14 18:07 UTC by Jan Beich
Modified: 2018-03-25 11:02 UTC (History)
5 users (show)

See Also:
jbeich: maintainer-feedback? (jwb)


Attachments
svn-diff-lang-x10-math.h (1.64 KB, patch)
2018-03-02 23:59 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-05-14 18:07:38 UTC
[exec] In file included from ./x10aux/double_utils.h:16:0,
     [exec]                  from ./x10aux/basic_functions.h:18,
     [exec]                  from ./x10aux/class_cast.h:20,
     [exec]                  from ./x10rt.h:11,
     [exec]                  from gen/x10/lang/OutOfMemoryError.h:4,
     [exec]                  from x10aux/alloc.cc:20:
     [exec] ./x10aux/math.h: In function 'bool x10aux::math::isinf(float)':
     [exec] ./x10aux/math.h:55:48: error: '::isinff' has not been declared
     [exec]              inline type name(float v) { return ::name##f(v); } \
     [exec]                                                 ^
     [exec] ./x10aux/math.h:67:9: note: in expansion of macro 'ALIAS_MATH_FUNC1'
     [exec]          ALIAS_MATH_FUNC1(bool, isinf);
     [exec]          ^~~~~~~~~~~~~~~~
     [exec] ./x10aux/math.h: In function 'bool x10aux::math::isfinite(float)':
     [exec] ./x10aux/math.h:55:48: error: '::isfinitef' has not been declared
     [exec]              inline type name(float v) { return ::name##f(v); } \
     [exec]                                                 ^
     [exec] ./x10aux/math.h:83:9: note: in expansion of macro 'ALIAS_MATH_FUNC1'
     [exec]          ALIAS_MATH_FUNC1(bool, isfinite);
     [exec]          ^~~~~~~~~~~~~~~~
     [exec] ./x10aux/math.h: In function 'int x10aux::math::signbit(float)':
     [exec] ./x10aux/math.h:55:48: error: '::signbitf' has not been declared
     [exec]              inline type name(float v) { return ::name##f(v); } \
     [exec]                                                 ^
     [exec] ./x10aux/math.h:85:9: note: in expansion of macro 'ALIAS_MATH_FUNC1'
     [exec]          ALIAS_MATH_FUNC1(int, signbit);
     [exec]          ^~~~~~~~~~~~~~~~
     [exec] x10aux/alloc.cc: At global scope:
     [exec] x10aux/alloc.cc:128:16: warning: 'ssize_t mygetline(char**, size_t*, FILE*)' defined but not used [-Wunused-function]
     [exec]  static ssize_t mygetline (char **lineptr, size_t *sz, FILE *f)
     [exec]                 ^~~~~~~~~
     [exec] gmake[1]: *** [Makefile:264: x10aux/alloc.o] Error 1

build log: http://sprunge.us/YJGj
Comment 1 Jason W. Bacon freebsd_committer 2017-05-17 15:34:36 UTC
Is this a real problem right now, i.e. is there a need to build with GCC 6?

This port is way behind and I can't prioritize updating it right now.

I would suggest reexamining this at a later date when the port is upgraded to the latest stable version.
Comment 2 Jan Beich freebsd_committer 2017-05-17 15:43:28 UTC
(In reply to Jason Bacon from comment #1)
> Is this a real problem right now, i.e. is there a need to build with GCC 6?

Once bug 219275 lands (probably not soon due to other blockers) this port may end up marked BROKEN.
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2017-05-17 15:44:26 UTC
It is part of a general sweep to upgrade the default ports GCC away from 5.  So it is not an immediate priority but still something that should be looked at sometime in the near future.
Comment 4 Gerald Pfeifer freebsd_committer 2017-08-12 14:28:42 UTC
(In reply to Jason Bacon from comment #1)
> Is this a real problem right now, i.e. is there a need to build with GCC 6?
>
> This port is way behind and I can't prioritize updating it right now.

Yes, it's been three months now and this is one of a handful broken
ports blocking the update of the default version of GCC.

Any chance you can get to this, or should we mark it BROKEN?
Comment 5 Raphael Kubo da Costa freebsd_committer 2017-08-13 11:27:14 UTC
I tried poking around the code but couldn't get it to build with GCC 6 (and codehaus.org is gone, so even fetching the port is a PITA).

There were some changes upstream many years ago that dropped the port's own math.h altogether. The port could either force GCC 5, be updated or marked BROKEN.
Comment 6 Jason W. Bacon freebsd_committer 2017-08-13 13:08:59 UTC
I won't be able to prioritize this any time soon, so I would mark it broken.  I don't think there's any point trying to fix this version since it's so far behind and upgrading to the latest is going to take considerable time and effort.
Comment 7 commit-hook freebsd_committer 2017-08-13 20:38:25 UTC
A commit references this bug:

Author: gerald
Date: Sun Aug 13 20:37:41 UTC 2017
New revision: 447914
URL: https://svnweb.freebsd.org/changeset/ports/447914

Log:
  Mark BROKEN due to failure to build with modern compilers (and it
  generally requires updating).

  PR:		219282
  Approved by:	bacon4000@gmail.com (maintainer)

Changes:
  head/lang/x10/Makefile
Comment 8 Walter Schwarzenfeld freebsd_triage 2018-03-02 23:59:46 UTC
Created attachment 191154 [details]
svn-diff-lang-x10-math.h

If I am right, this builds without problems with gcc6.
Comment 9 Rene Ladan freebsd_committer 2018-03-21 22:05:37 UTC
The port fails differently with the patch (in a 12-i386 poudriere jail):

===>  Building for x10-2.2.1_7
Exception in thread "main" java.lang.UnsupportedClassVersionError: org/apache/tools/ant/launch/Launcher : Unsupported major.minor version 52.0
        at java.lang.ClassLoader.defineClass1(Native Method)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:803)
        at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
        at java.net.URLClassLoader.defineClass(URLClassLoader.java:442)
        at java.net.URLClassLoader.access$100(URLClassLoader.java:64)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:354)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:348)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:347)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:312)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
        at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:482)
*** Error code 1

Stop.
make: stopped in /usr/ports/lang/x10
Comment 10 Walter Schwarzenfeld freebsd_triage 2018-03-21 23:08:05 UTC
Comment on attachment 191154 [details]
svn-diff-lang-x10-math.h

Makes no sense to patch it, there are newer versions.

http://x10-lang.org/releases/x10-release-list.html
Comment 11 Rene Ladan freebsd_committer 2018-03-24 13:19:54 UTC
(In reply to w.schwarzenfeld from comment #10)

Walter / Jason: do you intend to update this port to the latest version or is it better to remove it?
Comment 12 Walter Schwarzenfeld freebsd_triage 2018-03-24 13:46:52 UTC
I don't work with it. I only try to patch. I make a quick attempt to update it, but I doubt I can work it out.
Comment 13 Jason W. Bacon freebsd_committer 2018-03-24 18:29:43 UTC
I've suggested removing it before.  It's a challenging port that I doubt anyone is using and I have many higher priorities right now.  I created the port for a computer science class in parallel programming a few years ago that was never offered again.  Most real world distributed parallel programs are written in C/C++/Fortran with MPI.
Comment 14 Rene Ladan freebsd_committer 2018-03-25 11:02:11 UTC
OK, I'll remove the port.